| Home | Libraries | People | FAQ | More

###### basic_flat_buffer::max_size (1 of 2 overloads)

Set the maximum allowed capacity.

###### Synopsis

    void
    max_size(
        std::size_t n);

###### Description

This function changes the currently configured upper limit on capacity to the specified value.

###### Parameters

Name | Description
--- | ---
`n` | The maximum number of bytes ever allowed for capacity.

###### Exception Safety

No-throw guarantee.